#!/usr/bin/env python3
import sys

from PyQt5.QtWidgets import QApplication
from PyQt5.QtWebEngineWidgets import QWebEngineView, QWebEnginePage
from PyQt5.QtCore import QUrl

html = """
<!DOCTYPE html>
<html>
<head>
    <title>Test page</title>
</head>
<body>
    <h1>Test</h1>
</body>
</html>
"""

app = QApplication(sys.argv)


def loadstart():
    print("load started")


def loadfin():
    print("load end")


def loadprog(n):
    print(f"progress {n=}")


def render_process_terminated(termination_type, exit_code):
    print(f'{termination_type=}, {exit_code=}')


def kaepid(pid):
    print("kaepid() called")


web = QWebEngineView()

web.loadStarted.connect(loadstart)
web.loadFinished.connect(loadfin)
web.loadProgress.connect(loadprog)
web.renderProcessTerminated.connect(render_process_terminated)

web.setHtml(html)

web.show()

sys.exit(app.exec_())
